Skip to main content
POST
Create tax code

Path Parameters

consumer_id
string<uuid>
required

Body

application/json
code
string
required

Short code identifying the tax code.

Minimum string length: 1
Example:

"VAT21"

name
string
required

Name or label of the tax code.

Minimum string length: 1
Example:

"VAT 21%"

rate
number | null

Tax rate applied by this code (e.g., 21.0 for 21%).

reversed
boolean
default:false

Whether this tax code represents a reverse-charge VAT mechanism, as opposed to a regular tax.

deductible_account_number
string | null

Number of the ledger account this tax code's deductible VAT should be booked to. When provided, it takes precedence over code for that purpose.

payable_account_number
string | null

Number of the ledger account this tax code's payable VAT should be booked to. Only used when reversed=true.

Response

Successful Response

id
string
required

Id of the tax code.

name
string
required

Name or label of the tax code.

rate
number | null

Tax rate applied by this code (e.g., 21.0 for 21%).

reversed
boolean
default:false

Whether this tax code represents a reverse-charge VAT mechanism, as opposed to a regular tax.

active
boolean
default:true

Flag indicating whether the tax code is active.

deductible_account_number
string | null

Number of the ledger account this tax code's deductible VAT is booked to, when known.

payable_account_number
string | null

Number of the ledger account this tax code's payable VAT is booked to, when known.